package xyz.leomurca.rickandmorty.data

sealed class CharacterResult<out T> {
    data class Success<T>(val data: T) : CharacterResult<T>()
    data class Error(val message: String) : CharacterResult<Nothing>()
}